# Quickly launch new projects integrated with [ButterCMS](https://buttercms.com)

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/buttercms.svg)](https://npmjs.org/package/buttercms-cli)
[![Downloads/week](https://img.shields.io/npm/dw/buttercms.svg)](https://npmjs.org/package/buttercms-cli)
[![License](https://img.shields.io/npm/l/buttercms.svg)](https://github.com/deleteman/buttercms-cli/blob/master/package.json)

<!-- toc -->
* [Quickly launch new projects integrated with [ButterCMS](https://buttercms.com)](#quickly-launch-new-projects-integrated-with-butter-cms-https-buttercms-com)
* [Supported Languages + Frameworks](#supported-languages-frameworks)
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->

# Supported Languages + Frameworks
* [Express.js](https://expressjs.com/)
* More coming soon... (want to see yours? Open a Github Issue to let us know)

# Usage
<!-- usage -->
```sh-session
$ npm install -g buttercms-cli
$ buttercms COMMAND
running command...
$ buttercms (-v|--version|version)
buttercms-cli/0.0.4 darwin-x64 node-v9.8.0
$ buttercms --help [COMMAND]
USAGE
  $ buttercms COMMAND
...
```
<!-- usagestop -->

# Commands
<!-- commands -->
* [`buttercms generate:blog`](#buttercms-generateblog)
* [`buttercms generate:page`](#buttercms-generatepage)
* [`buttercms generate:pages`](#buttercms-generatepages)
* [`buttercms help [COMMAND]`](#buttercms-help-command)

## `buttercms generate:blog`

```
USAGE
  $ buttercms generate:blog

OPTIONS
  --auth_token=auth_token  (required) Your AUTH token used to communicate with ButterCMS API
  --for=express            Target destination for the generator command
```

_See code: [src/commands/generate/blog.js](https://github.com/buttercms/buttercms-cli/blob/v0.0.4/src/commands/generate/blog.js)_

## `buttercms generate:page`

```
USAGE
  $ buttercms generate:page

OPTIONS
  --auth_token=auth_token  (required) Your AUTH token used to communicate with ButterCMS API
  --for=express            Target destination for the generator command
  --page=page              (required) Indicates the slug assigned to the new page
```

_See code: [src/commands/generate/page.js](https://github.com/buttercms/buttercms-cli/blob/v0.0.4/src/commands/generate/page.js)_

## `buttercms generate:pages`

```
USAGE
  $ buttercms generate:pages

OPTIONS
  --auth_token=auth_token  (required) Your AUTH token used to communicate with ButterCMS API
  --for=express            Target destination for the generator command
  --page_type=page_type    The page type your blog will be listing
```

_See code: [src/commands/generate/pages.js](https://github.com/buttercms/buttercms-cli/blob/v0.0.4/src/commands/generate/pages.js)_

## `buttercms help [COMMAND]`

display help for buttercms

```
USAGE
  $ buttercms help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.2/src/commands/help.ts)_
<!-- commandsstop -->
